---
- name: Add GitLab apt key
  apt_key:
    url: "{{ gitlab_runner_apt_key }}"
    state: present

- name: Install required packages
  apt:
    name: "{{ gitlab_runner_packages_base }}"
    state: latest
    update_cache: yes

- name: Add GitLab Runner repository
  apt_repository:
    repo: "{{ gitlab_runner_repo }}"
    state: present

- name: Install GitLab runner
  shell: |
    export GITLAB_RUNNER_DISABLE_SKEL=true
    sudo -E apt-get install gitlab-runner